APIs / Google Hotels / Autocomplete

Google Hotels: Autocomplete

Autocomplete from Google Hotels as JSON. 1 credit per successful call.

GET /v1/google-hotels/autocomplete

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringRequiredUp to 100 characters
hlstringOptionalUp to 2 characters
glstringOptionalUp to 2 characters
currencystringOptionalUp to 3 characters
typestringOptionallocation, hotel, all

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-hotels/autocomplete?q=Berlin" \
  -H "X-API-Key: $API_KEY"